List option values
get
/api/product_options/{productOptionId}/option_values Retrieves the collection of Option Value resources.
Returns the values of a given option, ordered by position. Set the Flowkiwi-Locale header to read translatable value strings in a given locale.
Headers
| Name | Type | Required | Description |
|---|---|---|---|
Flowkiwi-Locale | string | - | Specifies the locale for properties that support localization. If not provided, the default locale will be used. |
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
productOptionId | string | required | ProductOptionResource identifier |
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
order[createdAt] | string | - | |
order[updatedAt] | string | - | |
value | string | - | Filter on translated field (strategy: ipartial) |
order[value] | string | - | Order by translated field "value" (uses the Flowkiwi-Locale header) |
Response
200 - Option Value collection
| Property | Type | Required | Description | ||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
totalItems | integer | - | |||||||||||||||||||||||||||||||||||||||||||||
search | object | - | |||||||||||||||||||||||||||||||||||||||||||||
Show | |||||||||||||||||||||||||||||||||||||||||||||||
| Property | Type | Required | Description | ||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
@type | string | - | |||||||||||||||||||||
template | string | - | |||||||||||||||||||||
variableRepresentation | string | - | |||||||||||||||||||||
mapping | object[] | - | |||||||||||||||||||||
Show | |||||||||||||||||||||||
| Property | Type | Required | Description |
|---|---|---|---|
@type | string | - | |
variable | string | - | |
property | string | null | - | |
required | boolean | - |
memberOption.Value[]Show member fields
| Property | Type | Required | Description |
|---|---|---|---|
@context | object | - | |
@id | string | required | |
@type | string | required | |
id | string | - | |
value | string | null | required | This property supports translations. The value of the option. |
position | integer | null | - | The position of the option value. Use -1 to put the option value at the end. |
productOption | string | required | The Product Option to which this option value belongs. |
variants | string[] | - | A list of Variant, each one representing a variant associated with the option value. |
createdAt | string | - | The date and time when the resource was created (ISO 8601 format). |
updatedAt | string | - | The date and time when the resource was last modified (ISO 8601 format). |
No properties.
Errors
403 - Access denied. The caller is missing one or more identity permissions required for this operation.
Content-Type: application/problem+json
| Property | Type | Required | Description |
|---|---|---|---|
@context | object | - | |
@id | string | required | |
@type | string | required | |
type | string | - | |
title | string | - | |
status | integer | - | |
detail | string | - | |
missingPermissions | string[] | - | Identity permissions that the caller is missing for this operation. Present only when the 403 is caused by a denied identity:* permission. |